
create table if not exists simulation.relation_config_sensor
(
    id             varchar(32)    not null comment '主键id'
    primary key,
    config_id      varchar(32)    null comment '配置id',
    sensor_id      varchar(32)    null comment '传感器id',
    sensor_type    varchar(32)    null comment '传感器类型',
    sensor_x       decimal(19, 4) null comment '传感器横向偏移量（x轴）',
    sensor_y       decimal(19, 4) null comment '传感器纵向偏移量（y轴）',
    sensor_z       decimal(19, 4) null comment '传感器安装高度（z轴）',
    sensor_h       decimal(19, 4) null comment '传感器横摆角',
    sensor_p       decimal(19, 4) null comment '传感器俯仰角',
    sensor_r       decimal(19, 4) null comment '传感器横滚角',
    sensor_port    int            null comment '传感器端口',
    create_time    datetime       null,
    modify_time    datetime       null,
    create_user_id varchar(32)    null,
    modify_user_id varchar(32)    null,
    is_deleted     varchar(1)     null
    )
    comment '配置与传感器关联表';


create table if not exists simulation.model_sensor_camera
(
    id             varchar(32)    not null comment '主键id'
    primary key,
    sensor_code    varchar(32)    null comment '传感器编码',
    sensor_name    varchar(500)   null comment '传感器名称',
    description    text           null comment '传感器描述',
    near_distance  decimal(19, 4) null comment '盲区距离',
    far_distance   decimal(19, 4) null comment '探测距离',
    fov_h          decimal(19, 4) null comment '水平现场角',
    fov_v          decimal(19, 4) null comment '垂直现场角',
    resolution     varchar(32)    null comment '分辨率',
    frame_rate     decimal(19, 4) null comment '帧率',
    self_display   varchar(1)     null comment '是否显示本车（1显示0不显示）',
    share          varchar(32)    null comment '是否分享',
    create_time    datetime       null,
    modify_time    datetime       null,
    create_user_id varchar(32)    null,
    modify_user_id varchar(32)    null,
    is_deleted     varchar(1)     null
    )
    comment '摄像头表';

create table if not exists simulation.model_sensor_ogt
(
    id                varchar(32)    not null comment '主键id'
        primary key,
    sensor_code       varchar(32)    null comment '传感器编码',
    sensor_name       varchar(500)   null comment '传感器名称',
    description       text           null comment '传感器描述',
    near_distance     decimal(19, 4) null comment '盲区距离',
    far_distance      decimal(19, 4) null comment '探测距离',
    fov_h_left        decimal(19, 4) null comment '水平现场角左',
    fov_h_right       decimal(19, 4) null comment '水平现场角右',
    fov_v_top         decimal(19, 4) null comment '垂直现场角顶',
    fov_v_bottom      decimal(19, 4) null comment '垂直现场角底',
    range_display     varchar(1)     null comment '显示探测锥',
    max_objects       int            null comment '最大目标物个数',
    coordinate_system varchar(32)    null comment '坐标系',
    target_filter     varchar(640)   null comment '目标物筛选',
    share             varchar(32)    null comment '是否分享',
    create_time       datetime       null,
    modify_time       datetime       null,
    create_user_id    varchar(32)    null,
    modify_user_id    varchar(32)    null,
    is_deleted        varchar(1)     null
)
    comment '完美传感器表';

